System 4.0.0.0 System.Collections.ReadOnlyCollectionBase System.MonoTODO

The class is used in an when validating against a custom list of service provider names (SPNs).

The class is a read-only collection of service principal names.

- Constructor
  4.0.0.0

  The class that is initialized contains the specified values passed in the parameter.

  Initializes a new read-only instance of the class based on an existing .

  An instance of the class that contains the specified values of service names to be used to initialize the class.
- Method
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ServiceNameCollection ``

  The class that is initialized contains the specified values passed in the parameter.

  Merges the current with the specified values to create a new containing the union.

  A new instance that contains the union of the existing instance merged with the specified values.

  An instance of the class that contains the specified values of service names to be merged.
- Method
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ServiceNameCollection ``

  The class that is initialized contains the specified values passed in the parameter.

  Merges the current with the specified values to create a new containing the union.

  A new instance that contains the union of the existing instance merged with the specified values.

  A string that contains the specified values of service names to be used to initialize the class.